Package org.apache.sysds.runtime.instructions.spark

# Class MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeGroup2Function

java.lang.Object
org.apache.sysds.runtime.instructions.spark.MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeGroup2Function

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.FlatMapFunction<scala.Tuple2<Integer,Iterable<ColumnMetadata>>,String>`

Enclosing class:
  MultiReturnParameterizedBuiltinSPInstruction

public static class MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeGroup2Function extends Object implements org.apache.spark.api.java.function.FlatMapFunction<scala.Tuple2<Integer,Iterable<ColumnMetadata>>,String>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TransformEncodeGroup2Function(EncoderMVImpute encoder)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<String>`
`call(scala.Tuple2<Integer,Iterable<ColumnMetadata>> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransformEncodeGroup2Function

public TransformEncodeGroup2Function(EncoderMVImpute encoder)

## Method Details

### call

public Iterator<String> call(scala.Tuple2<Integer,Iterable<ColumnMetadata>> arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.FlatMapFunction<scala.Tuple2<Integer,Iterable<ColumnMetadata>>,String>`
Throws:
  `Exception`